Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 1975)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 1976)
@@ -19,5 +19,7 @@
 ! Current revisions:
 ! -----------------
-! 
+! Bugfix: read of land surface data only when module is switched on.
+! Radiation parts are now done in the respective module.
+! Binary version increased to 4.5.
 ! 
 ! Former revisions:
@@ -138,9 +140,5 @@
 
     USE radiation_model_mod,                                                   &
-        ONLY: rad_net, rad_net_av, rad_lw_in, rad_lw_in_av, rad_lw_out,        &
-              rad_lw_cs_hr, rad_lw_cs_hr_av, rad_lw_hr, rad_lw_hr_av,          &
-              rad_lw_out_av, rad_lw_out_change_0, rad_sw_in, rad_sw_in_av,     &
-              rad_sw_out, rad_sw_out_av, rad_sw_cs_hr, rad_sw_cs_hr_av,        &
-              rad_sw_hr, rad_sw_hr_av
+        ONLY: radiation, radiation_read_restart_data
 
     USE random_function_mod,                                                   &
@@ -328,5 +326,5 @@
 !--    First compare the version numbers
        READ ( 13 )  version_on_file
-       binary_version = '4.4'
+       binary_version = '4.5'
        IF ( TRIM( version_on_file ) /= TRIM( binary_version ) )  THEN
           WRITE( message_string, * ) 'version mismatch concerning data ',      &
@@ -698,155 +696,4 @@
                    qv_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
                              tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_net' )
-                   IF ( .NOT. ALLOCATED( rad_net ) )  THEN
-                      ALLOCATE( rad_net(nysg:nyng,nxlg:nxrg) )
-                   ENDIF  
-                   IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   rad_net(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  = &
-                                          tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_net_av' )
-                   IF ( .NOT. ALLOCATED( rad_net_av ) )  THEN
-                      ALLOCATE( rad_net_av(nysg:nyng,nxlg:nxrg) )
-                   ENDIF  
-                   IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   rad_net_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  = &
-                                          tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                CASE ( 'rad_lw_in' )
-                   IF ( .NOT. ALLOCATED( rad_lw_in ) )  THEN
-                      ALLOCATE( rad_lw_in(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                   ENDIF  
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   rad_lw_in(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                             tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_lw_in_av' )
-                   IF ( .NOT. ALLOCATED( rad_lw_in_av ) )  THEN
-                      ALLOCATE( rad_lw_in_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                   ENDIF  
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   rad_lw_in_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                             tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_lw_out' )
-                   IF ( .NOT. ALLOCATED( rad_lw_out ) )  THEN
-                      ALLOCATE( rad_lw_out(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                   ENDIF  
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   rad_lw_out(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                             tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_lw_out_av' )
-                   IF ( .NOT. ALLOCATED( rad_lw_out_av ) )  THEN
-                      ALLOCATE( rad_lw_out_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                   ENDIF  
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   rad_lw_out_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                             tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_lw_out_change_0' )
-                   IF ( .NOT. ALLOCATED( rad_lw_out_change_0 ) )  THEN
-                      ALLOCATE( rad_lw_out_change_0(nysg:nyng,nxlg:nxrg) )
-                   ENDIF
-                   IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   rad_lw_out_change_0(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)&
-                              = tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_lw_cs_hr' )
-                   IF ( .NOT. ALLOCATED( rad_lw_cs_hr ) )  THEN
-                      ALLOCATE( rad_lw_cs_hr(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                   ENDIF
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   rad_lw_cs_hr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                           tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_lw_cs_hr_av' )
-                   IF ( .NOT. ALLOCATED( rad_lw_cs_hr_av ) )  THEN
-                      ALLOCATE( rad_lw_cs_hr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                   ENDIF
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   rad_lw_cs_hr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                           tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_lw_hr' )
-                   IF ( .NOT. ALLOCATED( rad_lw_hr ) )  THEN
-                      ALLOCATE( rad_lw_hr(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                   ENDIF
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   rad_lw_hr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                           tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_lw_hr_av' )
-                   IF ( .NOT. ALLOCATED( rad_lw_hr_av ) )  THEN
-                      ALLOCATE( rad_lw_hr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                   ENDIF
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   rad_lw_hr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                           tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_sw_in' )
-                   IF ( .NOT. ALLOCATED( rad_sw_in ) )  THEN
-                      ALLOCATE( rad_sw_in(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                   ENDIF  
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   rad_sw_in(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                             tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_sw_in_av' )
-                   IF ( .NOT. ALLOCATED( rad_sw_in_av ) )  THEN
-                      ALLOCATE( rad_sw_in_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                   ENDIF  
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   rad_sw_in_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                             tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_sw_out' )
-                   IF ( .NOT. ALLOCATED( rad_sw_out ) )  THEN
-                      ALLOCATE( rad_sw_out(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                   ENDIF  
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   rad_sw_out(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                             tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_sw_out_av' )
-                   IF ( .NOT. ALLOCATED( rad_sw_out_av ) )  THEN
-                      ALLOCATE( rad_sw_out_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                   ENDIF  
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   rad_sw_out_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                             tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_sw_cs_hr' )
-                   IF ( .NOT. ALLOCATED( rad_sw_cs_hr ) )  THEN
-                      ALLOCATE( rad_sw_cs_hr(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                   ENDIF
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   rad_sw_cs_hr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                           tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_sw_cs_hr_av' )
-                   IF ( .NOT. ALLOCATED( rad_sw_cs_hr_av ) )  THEN
-                      ALLOCATE( rad_sw_cs_hr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                   ENDIF
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   rad_sw_cs_hr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                           tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_sw_hr' )
-                   IF ( .NOT. ALLOCATED( rad_sw_hr ) )  THEN
-                      ALLOCATE( rad_sw_hr(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                   ENDIF
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   rad_sw_hr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                           tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'rad_sw_hr_av' )
-                   IF ( .NOT. ALLOCATED( rad_sw_hr_av ) )  THEN
-                      ALLOCATE( rad_sw_hr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                   ENDIF
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   rad_lw_hr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                           tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
                 CASE ( 'random_iv' )  ! still unresolved issue
@@ -1274,8 +1121,20 @@
 !
 !--    Read land surface restart data
-       CALL lsm_read_restart_data( i, nxlfa, nxl_on_file, nxrfa, nxr_on_file,  &
-                                    nynfa, nyn_on_file, nysfa, nys_on_file,    &
-                                    offset_xa, offset_ya, overlap_count(i),    &
-                                    tmp_2d )
+       IF ( land_surface )  THEN
+          CALL lsm_read_restart_data( i, nxlfa, nxl_on_file, nxrfa,            &
+                                      nxr_on_file, nynfa, nyn_on_file, nysfa,  &
+                                      nys_on_file, offset_xa, offset_ya,       &
+                                      overlap_count(i), tmp_2d )
+       ENDIF
+
+!
+!--    Read radiation restart data
+       IF ( radiation )  THEN
+          CALL radiation_read_restart_data( i, nxlfa, nxl_on_file, nxrfa,      &
+                                            nxr_on_file, nynfa, nyn_on_file,   &
+                                            nysfa, nys_on_file, offset_xa,     &
+                                            offset_ya, overlap_count(i),       &
+                                            tmp_2d, tmp_3d )
+       ENDIF
 
 !
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1975)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1976)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Radiation actions are now done directly in the respective module
 ! 
 ! Former revisions:
@@ -138,9 +138,5 @@
 
     USE radiation_model_mod,                                                   &
-        ONLY:  rad_net, rad_net_av, rad_sw_in, rad_sw_in_av, rad_sw_out,       &
-               rad_sw_out_av, rad_sw_cs_hr, rad_sw_cs_hr_av, rad_sw_hr,        &
-               rad_sw_hr_av, rad_lw_in, rad_lw_in_av, rad_lw_out,              &
-               rad_lw_out_av, rad_lw_cs_hr, rad_lw_cs_hr_av, rad_lw_hr,        &
-               rad_lw_hr_av
+        ONLY:  radiation, radiation_3d_data_averaging
 
 
@@ -291,58 +287,4 @@
                 qv_av = 0.0_wp
 
-             CASE ( 'rad_net*' )
-                IF ( .NOT. ALLOCATED( rad_net_av ) )  THEN
-                   ALLOCATE( rad_net_av(nysg:nyng,nxlg:nxrg) )
-                ENDIF
-                rad_net_av = 0.0_wp
-
-             CASE ( 'rad_lw_in' )
-                IF ( .NOT. ALLOCATED( rad_lw_in_av ) )  THEN
-                   ALLOCATE( rad_lw_in_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                ENDIF
-                rad_lw_in_av = 0.0_wp
-
-             CASE ( 'rad_lw_out' )
-                IF ( .NOT. ALLOCATED( rad_lw_out_av ) )  THEN
-                   ALLOCATE( rad_lw_in_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                ENDIF
-                rad_lw_out_av = 0.0_wp
-
-             CASE ( 'rad_lw_cs_hr' )
-                IF ( .NOT. ALLOCATED( rad_lw_cs_hr_av ) )  THEN
-                   ALLOCATE( rad_lw_cs_hr_av(nzb+1:nzt+1,nysg:nyng,nxlg:nxrg) )
-                ENDIF
-                rad_lw_cs_hr_av = 0.0_wp
-
-             CASE ( 'rad_lw_hr' )
-                IF ( .NOT. ALLOCATED( rad_lw_hr_av ) )  THEN
-                   ALLOCATE( rad_lw_hr_av(nzb+1:nzt+1,nysg:nyng,nxlg:nxrg) )
-                ENDIF
-                rad_lw_hr_av = 0.0_wp
-
-             CASE ( 'rad_sw_in' )
-                IF ( .NOT. ALLOCATED( rad_sw_in_av ) )  THEN
-                   ALLOCATE( rad_sw_in_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                ENDIF
-                rad_sw_in_av = 0.0_wp
-
-             CASE ( 'rad_sw_out' )
-                IF ( .NOT. ALLOCATED( rad_sw_out_av ) )  THEN
-                   ALLOCATE( rad_sw_out_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                ENDIF
-                rad_sw_out_av = 0.0_wp
-
-             CASE ( 'rad_sw_cs_hr' )
-                IF ( .NOT. ALLOCATED( rad_sw_cs_hr_av ) )  THEN
-                   ALLOCATE( rad_sw_cs_hr_av(nzb+1:nzt+1,nysg:nyng,nxlg:nxrg) )
-                ENDIF
-                rad_sw_cs_hr_av = 0.0_wp
-
-             CASE ( 'rad_sw_hr' )
-                IF ( .NOT. ALLOCATED( rad_sw_hr_av ) )  THEN
-                   ALLOCATE( rad_sw_hr_av(nzb+1:nzt+1,nysg:nyng,nxlg:nxrg) )
-                ENDIF
-                rad_sw_hr_av = 0.0_wp
-
              CASE ( 'rho' )
                 IF ( .NOT. ALLOCATED( rho_av ) )  THEN
@@ -429,4 +371,10 @@
                 IF ( land_surface )  THEN
                    CALL lsm_3d_data_averaging( 'allocate', doav(ii) )
+                ENDIF
+
+!
+!--             Radiation quantity
+                IF ( radiation )  THEN
+                   CALL radiation_3d_data_averaging( 'allocate', doav(ii) )
                 ENDIF
 
@@ -655,83 +603,4 @@
              ENDDO
 
-          CASE ( 'rad_net*' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   rad_net_av(j,i) = rad_net_av(j,i) + rad_net(j,i)
-                ENDDO
-             ENDDO
-
-          CASE ( 'rad_lw_in' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_lw_in_av(k,j,i) = rad_lw_in_av(k,j,i) + rad_lw_in(k,j,i)
-                   ENDDO
-                ENDDO
-             ENDDO
-
-          CASE ( 'rad_lw_out' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_lw_out_av(k,j,i) = rad_lw_out_av(k,j,i) + rad_lw_out(k,j,i)
-                   ENDDO
-                ENDDO
-             ENDDO
-
-          CASE ( 'rad_lw_cs_hr' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_lw_cs_hr_av(k,j,i) = rad_lw_cs_hr_av(k,j,i) + rad_lw_cs_hr(k,j,i)
-                   ENDDO
-                ENDDO
-             ENDDO
-
-          CASE ( 'rad_lw_hr' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_lw_hr_av(k,j,i) = rad_lw_hr_av(k,j,i) + rad_lw_hr(k,j,i)
-                   ENDDO
-                ENDDO
-             ENDDO
-
-          CASE ( 'rad_sw_in' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_sw_in_av(k,j,i) = rad_sw_in_av(k,j,i) + rad_sw_in(k,j,i)
-                   ENDDO
-                ENDDO
-             ENDDO
-
-          CASE ( 'rad_sw_out' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_sw_out_av(k,j,i) = rad_sw_out_av(k,j,i) + rad_sw_out(k,j,i)
-                   ENDDO
-                ENDDO
-             ENDDO
-
-          CASE ( 'rad_sw_cs_hr' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_sw_cs_hr_av(k,j,i) = rad_sw_cs_hr_av(k,j,i) + rad_sw_cs_hr(k,j,i)
-                   ENDDO
-                ENDDO
-             ENDDO
-
-          CASE ( 'rad_sw_hr' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_sw_hr_av(k,j,i) = rad_sw_hr_av(k,j,i) + rad_sw_hr(k,j,i)
-                   ENDDO
-                ENDDO
-             ENDDO
-
           CASE ( 'rho' )
              DO  i = nxlg, nxrg
@@ -854,4 +723,10 @@
 
 !
+!--          Radiation quantity
+             IF ( radiation )  THEN
+                CALL radiation_3d_data_averaging( 'sum', doav(ii) )
+             ENDIF
+
+!
 !--          User-defined quantity
              CALL user_3d_data_averaging( 'sum', doav(ii) )
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1975)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1976)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Simplified calls to radiation model
 ! 
 ! Former revisions:
@@ -321,7 +321,6 @@
 
     USE radiation_model_mod,                                                   &
-        ONLY: dt_radiation, force_radiation_call, radiation,                   &
-              radiation_clearsky, radiation_constant, radiation_rrtmg,         &
-              radiation_scheme, skip_time_do_radiation, time_radiation
+        ONLY: dt_radiation, force_radiation_call, radiation, radiation_control,&
+              skip_time_do_radiation, time_radiation
 
     USE spectra_mod,                                                           &
@@ -900,11 +899,5 @@
                 ENDIF
 
-                IF ( radiation_scheme == 'clear-sky' )  THEN
-                   CALL radiation_clearsky
-                ELSEIF ( radiation_scheme == 'rrtmg' )  THEN
-                   CALL radiation_rrtmg
-                ELSE
-                   CALL radiation_constant
-                ENDIF
+                CALL radiation_control
 
                 CALL cpu_log( log_point(50), 'radiation', 'stop' )
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 1975)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 1976)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! Radiation actions are now done directly in the respective module.
+! Binary version increased to 4.5.
 ! 
 ! Former revisions:
@@ -122,11 +123,4 @@
     USE pegrid
     
-    USE radiation_model_mod,                                                   &
-        ONLY: radiation, rad_net, rad_net_av, rad_lw_in, rad_lw_in_av,         &
-              rad_lw_out, rad_lw_out_av, rad_lw_out_change_0, rad_lw_cs_hr,   &
-              rad_lw_cs_hr_av, rad_lw_hr, rad_lw_hr_av, rad_sw_in,             &
-              rad_sw_in_av, rad_sw_out, rad_sw_out_av, rad_sw_cs_hr,           &
-              rad_sw_cs_hr_av, rad_sw_hr, rad_sw_hr_av
-
     USE random_function_mod,                                                   &
         ONLY:  random_iv, random_iy
@@ -149,5 +143,5 @@
 !
 !-- Write arrays.
-    binary_version = '4.4'
+    binary_version = '4.5'
 
     WRITE ( 14 )  binary_version
@@ -254,64 +248,4 @@
        WRITE ( 14 )  'sswst               ';  WRITE ( 14 ) sswst
     ENDIF    
-    IF ( ALLOCATED( rad_net ) )  THEN
-       WRITE ( 14 )  'rad_net             ';  WRITE ( 14 )  rad_net  
-    ENDIF
-    IF ( radiation )  THEN
-       IF ( ALLOCATED( rad_net_av ) )  THEN
-          WRITE ( 14 )  'rad_net_av          ';  WRITE ( 14 )  rad_net_av  
-       ENDIF  
-       IF ( ALLOCATED( rad_lw_in ) )  THEN
-          WRITE ( 14 )  'rad_lw_in           ';  WRITE ( 14 )  rad_lw_in  
-       ENDIF
-       IF ( ALLOCATED( rad_lw_in_av ) )  THEN
-          WRITE ( 14 )  'rad_lw_in_av        ';  WRITE ( 14 )  rad_lw_in_av  
-       ENDIF 
-       IF ( ALLOCATED( rad_lw_out ) )  THEN
-          WRITE ( 14 )  'rad_lw_out          ';  WRITE ( 14 )  rad_lw_out 
-       ENDIF 
-       IF ( ALLOCATED( rad_lw_out_av ) )  THEN
-          WRITE ( 14 )  'rad_lw_out_av       ';  WRITE ( 14 )  rad_lw_out_av  
-       ENDIF 
-       IF ( ALLOCATED( rad_lw_out_change_0 ) )  THEN
-          WRITE ( 14 )  'rad_lw_out_change_0 '
-          WRITE ( 14 )  rad_lw_out_change_0
-       ENDIF
-       IF ( ALLOCATED( rad_lw_cs_hr ) )  THEN
-          WRITE ( 14 )  'rad_lw_cs_hr        ';  WRITE ( 14 )  rad_lw_cs_hr
-       ENDIF
-       IF ( ALLOCATED( rad_lw_cs_hr_av ) )  THEN
-          WRITE ( 14 )  'rad_lw_cs_hr_av     ';  WRITE ( 14 )  rad_lw_cs_hr_av
-       ENDIF
-       IF ( ALLOCATED( rad_lw_hr ) )  THEN
-          WRITE ( 14 )  'rad_lw_hr           ';  WRITE ( 14 )  rad_lw_hr
-       ENDIF
-       IF ( ALLOCATED( rad_lw_hr_av ) )  THEN
-          WRITE ( 14 )  'rad_lw_hr_av        ';  WRITE ( 14 )  rad_lw_hr_av
-       ENDIF
-       IF ( ALLOCATED( rad_sw_in ) )  THEN
-          WRITE ( 14 )  'rad_sw_in           ';  WRITE ( 14 )  rad_sw_in  
-       ENDIF 
-       IF ( ALLOCATED( rad_sw_in_av ) )  THEN
-          WRITE ( 14 )  'rad_sw_in_av        ';  WRITE ( 14 )  rad_sw_in_av  
-       ENDIF 
-       IF ( ALLOCATED( rad_sw_out ) )  THEN
-          WRITE ( 14 )  'rad_sw_out          ';  WRITE ( 14 )  rad_sw_out  
-       ENDIF 
-       IF ( ALLOCATED( rad_sw_out_av ) )  THEN
-          WRITE ( 14 )  'rad_sw_out_av       ';  WRITE ( 14 )  rad_sw_out_av  
-       ENDIF 
-       IF ( ALLOCATED( rad_sw_cs_hr ) )  THEN
-          WRITE ( 14 )  'rad_sw_cs_hr        ';  WRITE ( 14 )  rad_sw_cs_hr
-       ENDIF
-       IF ( ALLOCATED( rad_sw_cs_hr_av ) )  THEN
-          WRITE ( 14 )  'rad_sw_cs_hr_av     ';  WRITE ( 14 )  rad_sw_cs_hr_av
-       ENDIF
-       IF ( ALLOCATED( rad_sw_hr ) )  THEN
-          WRITE ( 14 )  'rad_sw_hr           ';  WRITE ( 14 )  rad_sw_hr
-       ENDIF
-       IF ( ALLOCATED( rad_sw_hr_av ) )  THEN
-          WRITE ( 14 )  'rad_sw_hr_av        ';  WRITE ( 14 )  rad_sw_hr_av
-       ENDIF
-    ENDIF
     IF ( ocean )  THEN
        IF ( ALLOCATED( rho_av ) )  THEN
